<?php

/**

 * Dynamic css

 *

 * @package Paragon Themes

 * @subpackage Nexas

 *

 * @param null

 * @return void

 *

 */



if ( !function_exists('nexas_dynamic_css') ):

    function nexas_dynamic_css(){



    $nexas_top_header_color      = esc_attr( nexas_get_option('nexas_top_header_background_color') );



    $nexas_top_header_text_color = esc_attr( nexas_get_option('nexas_top_header_text_color') );



    $nexas_menu_background_color = esc_attr( nexas_get_option('nexas_menu_background_color') );



    $nexas_menu_text_color       = esc_attr( nexas_get_option('nexas_menu_text_color') );



    $nexas_menu_text_hover_color = esc_attr( nexas_get_option('nexas_menu_text_hover_color') );



    $nexas_top_footer_color      = esc_attr( nexas_get_option('nexas_top_footer_background_color') );



    $nexas_topfooter_text_color  = esc_attr( nexas_get_option('nexas_topfooter_text_color') );



    $nexas_bottom_footer_color   = esc_attr( nexas_get_option('nexas_bottom_footer_background_color') );



    $nexas_bootomfooter_text_color= esc_attr( nexas_get_option('nexas_footer_text_color') );



    $nexas_primary_color         = esc_attr( nexas_get_option('nexas_primary_color') );



    $nexas_slider_text_color     = esc_attr( nexas_get_option('nexas_heading_text_color') );



    $nexas_link_hover_color     = esc_attr( nexas_get_option('nexas_link_hover_color') );





    /*====================Paragraph Typography=====================*/

    

    $nexas_paragraph_font_family_name   =  esc_attr( nexas_get_option('nexas_paragraph_font_family_name') );



    $nexas_paragraph_font_size          =  esc_attr( nexas_get_option('nexas_paragraph_font_size') );



    $nexas_paragraph_font_weight        =  esc_attr( nexas_get_option('nexas_paragraph_font_weight') );



    $nexas_paragraph_line_height   =  esc_attr( nexas_get_option('nexas_paragraph_line_height') );



    $nexas_paragraph_letter_spacing     =  esc_attr( nexas_get_option('nexas_paragraph_letter_spacing') );





    /*====================Site Title Typography=====================*/

    

    $nexas_site_title_font_family_name  =  esc_attr( nexas_get_option('nexas_site_title_font_family_name') );



    $nexas_site_title_font_size         =    esc_attr( nexas_get_option('nexas_site_title_font_size') );



    $nexas_site_title_font_weight       =    esc_attr( nexas_get_option('nexas_site_title_font_weight') );



    $nexas_site_title_letter_spacing    =  esc_attr( nexas_get_option('nexas_site_title_letter_spacing') );



 

  /*==================== Site Tagline Typography=====================*/

    

    $nexas_tagline_font_family_name   =   esc_attr( nexas_get_option('nexas_tagline_font_family_name') );



    $nexas_tagline_font_size          =   esc_attr( nexas_get_option('nexas_tagline_font_size') );



    $nexas_tagline_font_weight        =   esc_attr( nexas_get_option('nexas_tagline_font_weight') );



    $nexas_tagline_letter_spacing     =   esc_attr( nexas_get_option('nexas_tagline_letter_spacing') );  





/*====================Heading H1 Typography=====================*/

    

    $nexas_h1_font_family_name   =   esc_attr( nexas_get_option('nexas_h1_font_family_name') );



    $nexas_h1_font_size          =   esc_attr( nexas_get_option('nexas_h1_font_size') );



    $nexas_h1_font_weight        =   esc_attr( nexas_get_option('nexas_h1_font_weight') );



    $nexas_h1_letter_spacing     =   esc_attr( nexas_get_option('nexas_h1_letter_spacing') );





/*====================Heading H2 Typography=====================*/

    

    $nexas_h2_font_family_name   =    esc_attr( nexas_get_option('nexas_h2_font_family_name') );



    $nexas_h2_font_size          =    esc_attr( nexas_get_option('nexas_h2_font_size') );



    $nexas_h2_font_weight        =    esc_attr( nexas_get_option('nexas_h2_font_weight') );



    $nexas_h2_letter_spacing     =    esc_attr( nexas_get_option('nexas_h2_letter_spacing') );





/*====================Heading H3 Typography=====================*/

    

    $nexas_h3_font_family_name   =    esc_attr( nexas_get_option('nexas_h3_font_family_name') );



    $nexas_h3_font_size          =    esc_attr( nexas_get_option('nexas_h3_font_size') );



    $nexas_h3_font_weight        =    esc_attr( nexas_get_option('nexas_h3_font_weight') );



    $nexas_h3_letter_spacing     =    esc_attr( nexas_get_option('nexas_h3_letter_spacing') );





/*====================Heading H4 Typography=====================*/

    

    $nexas_h4_font_family_name   =   esc_attr( nexas_get_option('nexas_h4_font_family_name') );



    $nexas_h4_font_size          =   esc_attr( nexas_get_option('nexas_h4_font_size') );



    $nexas_h4_font_weight        =   esc_attr( nexas_get_option('nexas_h4_font_weight') );



    $nexas_h4_letter_spacing     =   esc_attr( nexas_get_option('nexas_h4_letter_spacing') );





/*====================Heading H5 Typography=====================*/

    

    $nexas_h5_font_family_name   =   esc_attr( nexas_get_option('nexas_h5_font_family_name') );



    $nexas_h5_font_size          =   esc_attr( nexas_get_option('nexas_h5_font_size') );



    $nexas_h5_font_weight        =   esc_attr( nexas_get_option('nexas_h5_font_weight') );



    $nexas_h5_letter_spacing     =   esc_attr( nexas_get_option('nexas_h5_letter_spacing') );   





/*====================Heading H6 Typography=====================*/

    

    $nexas_h6_font_family_name   =   esc_attr( nexas_get_option('nexas_h6_font_family_name') );



    $nexas_h6_font_size          =   esc_attr( nexas_get_option('nexas_h6_font_size') );



    $nexas_h6_font_weight        =   esc_attr( nexas_get_option('nexas_h6_font_weight') );



    $nexas_h6_letter_spacing     =   esc_attr( nexas_get_option('nexas_h6_letter_spacing') );   





/*====================Menu Typography=====================*/

    

    $nexas_menu_font_family_name =   esc_attr( nexas_get_option('nexas_menu_font_family_name') );



    $nexas_menu_font_size        =   esc_attr( nexas_get_option('nexas_menu_font_size') );



    $nexas_menu_font_weight      =   esc_attr( nexas_get_option('nexas_menu_font_weight') );



    $nexas_menu_line_height      =   esc_attr( nexas_get_option('nexas_menu_line_height') );           







    $custom_css                  = '';





    /*====================Dynamic Css =====================*/





    /*==================== Site Title Typography=====================*/



      $custom_css .= ".site-title a, p.site-title a {



             font-family: "      . $nexas_site_title_font_family_name . ";

           

             font-size: "        . $nexas_site_title_font_size .'px'.";



             font-weight: "      . $nexas_site_title_font_weight . ";

           

             letter-spacing: "   . $nexas_site_title_letter_spacing .'px'."; 





           }



        ";





    /*==================== Site Tagline Typography=====================*/



      $custom_css .= "p.site-description{



             font-family: "      . $nexas_tagline_font_family_name . ";

           

             font-size: "        . $nexas_tagline_font_size .'px'.";



             font-weight: "      . $nexas_tagline_font_weight . ";

           

             letter-spacing: "   . $nexas_tagline_letter_spacing .'px'."; 





           }



        ";





    /*==================== Heading H1 Typography=====================*/



      $custom_css .= "h1 a, h1 {



             font-family: "      . $nexas_h1_font_family_name . ";

           

             font-size: "        . $nexas_h1_font_size .'px'.";



             font-weight: "      . $nexas_h1_font_weight . ";

           

             letter-spacing: "   . $nexas_h1_letter_spacing .'px'."; 





           }



        ";   



    /*==================== Heading H2 Typography=====================*/



      $custom_css .= "h2 a, h2 {



             font-family: "      . $nexas_h2_font_family_name . ";

           

             font-size: "        . $nexas_h2_font_size .'px'.";



             font-weight: "      . $nexas_h2_font_weight . ";

           

             letter-spacing: "   . $nexas_h2_letter_spacing .'px'."; 





           }



        ";   



    /*==================== Heading H3 Typography=====================*/



      $custom_css .= "h3 a, h3 {



             font-family: "      . $nexas_h3_font_family_name . ";

           

             font-size: "        . $nexas_h3_font_size .'px'.";



             font-weight: "      . $nexas_h3_font_weight . ";

           

             letter-spacing: "   . $nexas_h3_letter_spacing .'px'."; 





           }



        ";      





   /*==================== Heading H4 Typography=====================*/



      $custom_css .= "h4 a, h4 {



             font-family: "      . $nexas_h4_font_family_name . ";

           

             font-size: "        . $nexas_h4_font_size .'px'.";



             font-weight: "      . $nexas_h4_font_weight . ";

           

             letter-spacing: "   . $nexas_h4_letter_spacing .'px'."; 





           }



        ";      





  /*==================== Heading H5 Typography=====================*/



      $custom_css .= "h5 a, h5 {



             font-family: "      . $nexas_h5_font_family_name . ";

           

             font-size: "        . $nexas_h5_font_size .'px'.";



             font-weight: "      . $nexas_h5_font_weight . ";

           

             letter-spacing: "   . $nexas_h5_letter_spacing .'px'."; 





           }



        ";  



 /*==================== Heading H6 Typography=====================*/



      $custom_css .= "h6 a, h6 {



             font-family: "      . $nexas_h6_font_family_name . ";

           

             font-size: "        . $nexas_h6_font_size .'px'.";



             font-weight: "      . $nexas_h6_font_weight . ";

           

             letter-spacing: "   . $nexas_h6_letter_spacing .'px'."; 





           }



        ";     





   /*==================== Menu Typography=====================*/



      $custom_css .= " .main-navigation ul li a  {



             font-family: "      . $nexas_menu_font_family_name . ";

           

             font-size: "        . $nexas_menu_font_size .'px'.";



             font-weight: "      . $nexas_menu_font_weight . ";

           

             line-height: "      . $nexas_menu_line_height .'em'."; 





           }



        ";      





   /*==================== Paragraph Typography=====================*/



  $custom_css .= "body p, p {



         font-family: "      . $nexas_paragraph_font_family_name . ";

       

         font-size: "        . $nexas_paragraph_font_size .'px'.";



         font-weight: "      . $nexas_paragraph_font_weight . ";

        

         line-height: "      . $nexas_paragraph_line_height.'em'.";

         

         letter-spacing: "   . $nexas_paragraph_letter_spacing.'px'.";





       }



    ";                         





    

    $custom_css .= ".top-header{

         background-color: " . $nexas_top_header_color . ";}

    ";



    $custom_css .= ".contact-detail2 li a, .social-links ul li a::before{

         color: " . $nexas_top_header_text_color . ";}

    ";



    $custom_css .= "header .navbar-menu{

         background-color: " . $nexas_menu_background_color . ";}

    ";  

  

    $custom_css .= ".navbar-default .navbar-nav li  a{

         color: " . $nexas_menu_text_color . ";}

    ";  



    $custom_css .= ".navbar-default .navbar-nav li.current-menu-item  a, header .navbar-menu .navbar-nav > li > a:hover{

         color: " . $nexas_menu_text_hover_color . ";}

    ";  



     $custom_css .= ".carousel-inner h1.color-white, .slider .carousel-caption h3{

         color: " . $nexas_slider_text_color . ";}

    ";





    $custom_css .= " .footer-top ul li a, .footer-top p {

         color: " . $nexas_topfooter_text_color . ";}

    ";



   

   $custom_css .= " .footer-bottom .copyright, .footer-credit p{

         color: " . $nexas_bootomfooter_text_color . ";}

    ";



     $custom_css .= ".footer-top{

         background-color: " . $nexas_top_footer_color . ";}

    ";



    $custom_css .= ".footer-bottom{

         background-color: " . $nexas_bottom_footer_color . ";}

    ";



   $custom_css .= ".footer-bottom .widget-area .widget ul li a {

         color: " . $nexas_bottom_footer_color . ";}

    ";



    $custom_css .= ".section-0-background,

     .btn-primary,

     hr,

     header .dropdown-menu > li > a:hover,

     .dropdown-menu > .active > a, 

     .dropdown-menu > .active > a:focus, 

     .dropdown-menu > .active > a:hover,

     button, 

     .comment-reply-link, 

     input[type='button'], 

     input[type='reset'], 

     input[type='submit'],

     .section-1-box-icon-background,

     #quote-carousel a.carousel-control,

     header .navbar-toggle,

     .section-10-background,

     .footer-top .submit-bgcolor,

     .nav-links .nav-previous a, 

     .nav-links .nav-next a,

     .section1 .border::before,

     .section1 .border::after,

     .portfolioFilter a.current,

     #section-12 .filter-box .lower-box a i,

     .section-2-box-left .border.left::before,

     .section-2-box-left .border::after,

     .comments-area .submit,

     .inner-title,.woocommerce span.onsale,

     .woocommerce nav.woocommerce-pagination ul li a:focus,

     .woocommerce nav.woocommerce-pagination ul li a:hover,

     .woocommerce nav.woocommerce-pagination ul li span.current,

     .woocommerce a.button, .woocommerce #respond input#submit.alt, 

     .search-toggle,
     .comments-area .comment-body .reply a,

     .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt

      {

       background-color: " . $nexas_primary_color . ";}

    ";



    $custom_css .= "

    a,

    .section-4-box-icon-cont i,

    header .navbar-menu .navbar-nav > li > a:active,

    header .navbar-menu .navbar-nav>.open>a,

    header .navbar-menu .navbar-nav>.open>a:focus,

    header .navbar-menu .navbar-nav>.open>a:hover,

    .btn-seconday,

    a:visited,

    .menu-top-container ul li a:hover,

    .section-14-box h3 a:hover,

    .section-14-box .date span, 

    .section-14-box .author-post a,

    .btn-primary:hover,

    .widget ul li a:hover,

    .footer-top ul li a:hover,

    .section-0-btn-cont .btn:hover,

    .footer-top .widget_recent_entries ul li:hover:before,

    .footer-top .widget_nav_menu ul li:hover:before,

    .footer-top .widget_archive ul li:hover:before,

    .navbar-default .navbar-nav > .active > a, 
    .comments-area .comment-body .comment-metadata time,

    .navbar-default .navbar-nav > .active > a:focus, 

    .navbar-default .navbar-nav > .active > a:hover





    {

        color: " . $nexas_primary_color . ";}

    ";



    $custom_css .= ".section-14-box .underline,

   .item blockquote img,

   .widget .widget-title,

   .btn-primary,

   .portfolioFilter a,

   .btn-primary:hover,

   button, 

   .comment-reply-link, 

   input[type='button'], 

   input[type='reset'], 

   input[type='submit'],

   .testimonials .content .avatar,

   #quote-carousel .carousel-control.left, 

   #quote-carousel .carousel-control.right,

   header .navbar-menu .navbar-right .dropdown-menu,

   .woocommerce nav.woocommerce-pagination ul li a:focus,

   .woocommerce nav.woocommerce-pagination ul li a:hover,

   .woocommerce nav.woocommerce-pagination ul li span.current

   .woocommerce a.button, .woocommerce #respond input#submit.alt, 

   .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt

   {

       border-color: " . $nexas_primary_color . ";}

    ";

    /*------------------------------------------------------------------------------------------------- */



    /*custom css*/



    wp_add_inline_style('nexas-style', $custom_css);



}

endif;

add_action('wp_enqueue_scripts', 'nexas_dynamic_css', 99);